#!/bin/bash

control()
{
	ROOT=$(dirname $0)
	$ROOT/libs/p4d/p4d-control.sh $1 1> /dev/null
	RETVAL=$?
	if [ "$2" != "noexit" ] ; then
		if [ $RETVAL != "0" ] ; then
			echo "failed to control p4d; running processes:"
			ps aux|grep p4d
			exit 1
		fi
	fi
					
    $ROOT/libs/solr-$SOLR_VERSION/example/solr-control.sh $1 
	RETVAL=$?
    if [ "$2" != "noexit" ] ; then
        if [ $RETVAL != "0" ] ; then
            echo "failed to control solr; running processes:"
            ps aux|grep java
    	    exit 1
	     fi
	fi
}

